For the complete documentation index, see llms.txt. This page is also available as Markdown.

Connections

Connections

get

List all available active Auth0 connections.

The returned list explicitly excludes enterprise connections to not inadvertently leak sensitive information.

Returns: List of available and active Auth0 connections.

Responses
200

Successful Response

application/json

Auth0 connection configuration.

Attributes: name: The name of the connection. type: The type of the connection. Must be one of the values in the Auth0ConnectionType enum (i.e. "enterprise", "social" or "database"). display_name: The display name of the connection. Only set for social (i.e. non-enterprise) connections. If not present, the name is used as the display name. logo_url: The URL of the connection's logo. Only set for social (i.e. non-enterprise) connections. domains: The domains of the connection. Only set for enterprise connections. Used to distinguish between different enterprise connections based on the domains of the email address used to log in. enabled: Whether the connection is enabled. If set to False, the connection will not be used for authentication.

namestringRequired
typestring · enumRequired

Enum for Auth0 connection types.

Possible values:
display_namestringRequired
logo_urlany ofOptional
stringOptional
or
nullOptional
domainsany ofOptional
string[]Optional
or
nullOptional
enabledbooleanOptionalDefault: true
get
/auth/connections
200

Successful Response

ZenML Scarf

Last updated

Was this helpful?